Summary: hdsentinel
Name: hdsentinel
Version: 0.08
Release: 1%{?dist}
License: proprietary, freely distributable
Group: System Environment/Base
URL: http://www.hdsentinel.com/
Source0: HDSentinel_32bit
Source1: HDSentinel_64bit

%description
Hard Disk Sentinel (HDSentinel) is a multi-OS SSD and HDD monitoring and analysis software. 
Its goal is to find, test, diagnose and repair hard disk drive problems,
report and display SSD and HDD health, performance degradations and failures.

%prep
%setup -c -T

# %build

%install
%{__rm} -rf %{buildroot}
%ifarch x86_64
%{__install} -Dpm 0644 %{SOURCE1} %{buildroot}%{_bindir}/HDSentinel
%else
%{__install} -Dpm 0644 %{SOURCE0} %{buildroot}%{_bindir}/HDSentinel
%endif

%clean
%{__rm} -rf %{buildroot}

%post
ln -s -f /usr/bin/HDSentinel /usr/bin/hdsentinel

%postun
rm -f /usr/bin/hdsentinel

%files
%defattr(-, root, root, 0755)
%attr(0755, root, root) %{_bindir}/HDSentinel

%changelog
* Tue Mar 06 2012 Nux <rpm@li.nux.ro> - 008-1
- updated to newly released version 008
- added a symlink in post so we mantain some compatibility with the old version's name

* Mon Mar 01 2012 Nux <rpm@li.nux.ro> - 1.2
- attr should be 0775, not 4755 ...

* Thu Mar 01 2012 Nux <rpm@li.nux.ro> - 1.1
- initial wrap-up for EL6
